<div class="competency-content" [formGroup]="formJD" nz-form>
    <div nz-row>
        <div nz-col nzSpan="24">
            <div class="text-info">
                <span class="text-info__title">{{'modelOrganization.label.task' | translate}} <span *ngIf="mode !== 'view'"
                        class='text-info__title--required'>*</span></span>
            </div>
            <div class="table-container ant-table-content">
                <nz-table [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
                    [nzData]="taskTable.length ? taskTable : []">
                    <thead>
                        <tr>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" class="text-center">{{'modelOrganization.table.stt' | translate}}</th>
                            <th scope="col" nzWidth="30%">{{'modelOrganization.table.task' | translate}} </th>
                            <th scope="col">{{'modelOrganization.table.result' | translate}}</th>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.SMALL" *ngIf="mode !== 'view'">
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <ng-container *ngFor="let data of taskTable; let i = index">
                            <tr>
                                <td [nzAlign]="'center'"><span class="title-task">{{ i + 1 }}</span></td>
                                <td colspan="2">
                                    <mb-input-text *ngIf="mode !== 'view'" [removeMinHeight]="true" [formControl]="data.taskName" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.taskName.errors ? 'error' : 'default'"
                                    [mbErrors]="data.taskName.errors"
                                    [mbShowError]="submited.isSubmit && data.taskName.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                        mbPlaceholderText="{{'modelOrganization.placeHoder.typeTask' | translate}}" nz-tooltip [nzTooltipTitle]="data.taskName.value">
                                    </mb-input-text>
                                    <span *ngIf="mode === 'view'" class="title-task">{{data.taskName.value}}</span>
                                </td>
                                <td *ngIf="mode !== 'view'">
                                    <div class="table-container__action">
                                        <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
                                            (click)="addTask(i)">
                                        <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                                            (click)="deleteTask(i,data)">
                                    </div>
                                </td>
                            </tr>

                            <tr *ngFor="let sub of data.sub; let iSub = index">
                                <td [nzAlign]="'center'">{{i + 1}} . {{ iSub + 1 }}</td>
                                <td>
                                    <mb-input-text *ngIf="mode !== 'view'" [removeMinHeight]="true" [formControl]="sub.taskName" [mbDisable]="disable"
                                        nz-tooltip [nzTooltipTitle]="sub.taskName.value"
                                        [mbType]="submited.isSubmit && sub.taskName.errors ? 'error' : 'default'"
                                        [mbErrors]="sub.taskName.errors"
                                        [mbShowError]="submited.isSubmit && sub.taskName.errors?.required" [mbErrorDefs]="[
                                        { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                        | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                        mbPlaceholderText="{{'modelOrganization.placeHoder.typeTask' | translate}}">
                                    </mb-input-text>
                                    <span *ngIf="mode === 'view'">{{sub.taskName.value}}</span>
                                </td>
                                <td>
                                    <mb-input-text *ngIf="mode !== 'view'" [removeMinHeight]="true" [formControl]="sub.result" [mbDisable]="disable"
                                        nz-tooltip [nzTooltipTitle]="sub.result.value"
                                        [mbType]="submited.isSubmit && sub.result.errors ? 'error' : 'default'"
                                        [mbErrors]="sub.result.errors"
                                        [mbShowError]="submited.isSubmit && sub.result.errors?.required" [mbErrorDefs]="[
                                        { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                        | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                        mbPlaceholderText="{{'modelOrganization.placeHoder.type' | translate}}">
                                    </mb-input-text>
                                    <span *ngIf="mode === 'view'">{{sub.result.value}}</span>
                                </td>
                                <td *ngIf="mode !== 'view'">
                                    <div class="table-container__action">
                                        <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
                                            (click)="addSubTask(iSub, data.sub)">
                                        <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                                            (click)="deleteSubTask(iSub,data)">
                                    </div>
                                </td>
                            </tr>
                        </ng-container>
                    </tbody>
                </nz-table>
            </div>
        </div>
    </div>

    <div nz-row>
        <div nz-col nzSpan="24">
            <div class="text-info">
                <span class="text-info__title">{{'modelOrganization.label.degree' | translate}} <span *ngIf="mode !== 'view'"
                        class='text-info__title--required'>*</span></span>
            </div>
            <div class="table-container ant-table-content">
                <nz-table [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
                    [nzData]="degreeTable.length ? degreeTable : []">
                    <thead>
                        <tr>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" class="text-center">{{'modelOrganization.table.stt' | translate}}</th>
                            <th scope="col" nzWidth="30%">{{'modelOrganization.table.degree' | translate}}</th>
                            <th scope="col">{{'modelOrganization.table.description' | translate}}</th>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.SMALL" *ngIf="mode !== 'view'"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of degreeTable; let i = index">
                            <td [nzAlign]="'center'">{{ i + 1 }}</td>
                            <td>
                                <mb-select *ngIf="mode !== 'view'" [formControl]="data.value" [mbDataSelects]="listMajorLevel" mbKeyLabel="name" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.value.errors ? 'error' : 'default'"
                                    [mbErrors]="data.value.errors"
                                    [mbShowError]="submited.isSubmit && data.value.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholder="{{'modelOrganization.placeHoder.chooseDegree' | translate}}"
                                    mbKeyValue="name">
                                </mb-select>
                                <span *ngIf="mode === 'view'">{{data.value?.value}}</span>
                            </td>
                            <td>
                                <mb-input-text *ngIf="mode !== 'view'" [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.description.errors ? 'error' : 'default'"
                                    [mbErrors]="data.description.errors"
                                    [mbShowError]="submited.isSubmit && data.description.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholderText="{{'modelOrganization.placeHoder.typeDescription' | translate}}"
                                    [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
                                    [formControl]="data.description">
                                </mb-input-text>
                                <span *ngIf="mode === 'view'">{{data.description?.value}}</span>
                            </td>
                            <td *ngIf="mode !== 'view'">
                                <div class="table-container__action">
                                    <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
                                        (click)="addJdDetail(i, degreeTable, 1)">
                                    <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                                        (click)="deleteDetail(i,degreeTable, 1)">
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>
        </div>
    </div>


    <div nz-row>
        <div nz-col nzSpan="24">
            <div class="text-info">
                <span class="text-info__title">{{'modelOrganization.label.certificate' | translate}}</span>
            </div>
            <div class="table-container ant-table-content">
                <nz-table [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
                    [nzData]="certTable.length ? certTable : []">
                    <thead>
                        <tr>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" class="text-center">{{'modelOrganization.table.stt' | translate}}</th>
                            <th scope="col" nzWidth="30%">{{'modelOrganization.table.certificate' | translate}}</th>
                            <th scope="col">{{'modelOrganization.table.description' | translate}}</th>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.SMALL" *ngIf="mode !== 'view'"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of certTable; let i = index">
                            <td [nzAlign]="'center'">{{ i + 1 }}</td>
                            <td>
                                <mb-input-text *ngIf="mode !== 'view'" [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.value.errors ? 'error' : 'default'"
                                    [mbErrors]="data.value.errors"
                                    [mbShowError]="submited.isSubmit && data.value.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholderText="{{'modelOrganization.placeHoder.typeCert' | translate}}"
                                    [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
                                    [formControl]="data.value"></mb-input-text>
                                    <span *ngIf="mode === 'view'">{{data.value?.value}}</span>
                            </td>
                            <td>
                                <mb-input-text *ngIf="mode !== 'view'" [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.description.errors ? 'error' : 'default'"
                                    [mbErrors]="data.description.errors"
                                    [mbShowError]="submited.isSubmit && data.description.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholderText="{{'modelOrganization.placeHoder.typeDescription' | translate}}"
                                    [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
                                    [formControl]="data.description">
                                </mb-input-text>
                                <span *ngIf="mode === 'view'">{{data.description?.value}}</span>
                            </td>
                            <td *ngIf="mode !== 'view'">
                                <div class="table-container__action">
                                    <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
                                        (click)="addJdDetail(i, certTable, 2)">
                                    <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                                        (click)="deleteDetail(i,certTable, 2)">
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>
        </div>
    </div>


    <div nz-row>
        <div nz-col nzSpan="24">
            <div class="text-info">
                <span class="text-info__title">{{'modelOrganization.label.foreignLanguage' | translate}}</span>
            </div>
            <div class="table-container ant-table-content">
                <nz-table [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
                    [nzData]="languageTable.length ? languageTable : []">
                    <thead>
                        <tr>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" class="text-center">{{'modelOrganization.table.stt' | translate}}</th>
                            <th scope="col" nzWidth="30%">{{'modelOrganization.table.foreignLanguage' | translate}}</th>
                            <th scope="col">{{'modelOrganization.table.description' | translate}}</th>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.SMALL" *ngIf="mode !== 'view'"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of languageTable; let i = index">
                            <td [nzAlign]="'center'">{{ i + 1 }}</td>
                            <td>
                                <mb-input-text *ngIf="mode !== 'view'" [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.value.errors ? 'error' : 'default'"
                                    [mbErrors]="data.value.errors"
                                    [mbShowError]="submited.isSubmit && data.value.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholderText="{{'modelOrganization.placeHoder.typeLang' | translate}}"
                                    [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
                                    [formControl]="data.value"></mb-input-text>
                                    <span *ngIf="mode === 'view'">{{data.value?.value}}</span>
                            </td>
                            <td>
                                <mb-input-text *ngIf="mode !== 'view'" [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.description.errors ? 'error' : 'default'"
                                    [mbErrors]="data.description.errors"
                                    [mbShowError]="submited.isSubmit && data.description.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholderText="{{'modelOrganization.placeHoder.typeDescription' | translate}}"
                                    [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
                                    [formControl]="data.description">
                                </mb-input-text>
                                <span *ngIf="mode === 'view'">{{data.description?.value}}</span>
                            </td>
                            <td *ngIf="mode !== 'view'">
                                <div class="table-container__action">
                                    <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
                                        (click)="addJdDetail(i, languageTable, 3)">
                                    <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                                        (click)="deleteDetail(i,languageTable, 3)">
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>
        </div>
    </div>


    <div nz-row>
        <div nz-col nzSpan="24">
            <mb-input-text *ngIf="mode !== 'view'" formControlName="experience"
                mbLabelText="{{'modelOrganization.label.experience' | translate}} <span class='label__required'>*</span>" [mbDisable]="disable"
                [mbIsTextAre]="true" mbPlaceholderText="{{'modelOrganization.placeHoder.typeExperience' | translate}}"
                [mbMaxLength]="2000"
                [mbConfig]="{autoSize: { minRows: 3, maxRows: 100 }}"
                [mbType]="submited.isSubmit && formJD.controls.experience.errors ? 'error' : 'default'"
                [mbErrors]="formJD.controls.experience.errors"
                [mbShowError]="submited.isSubmit && formJD.controls.experience.errors?.required" [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                | translate: {'param': 'modelOrganization.validate.feild' | translate }}]">
            </mb-input-text>
            <div class="max-length-input" *ngIf="mode !== 'view'"><span>(2000 ký tự)</span></div>
            <div class="text-info" *ngIf="mode === 'view'">
                <span class="text-info__title">{{'modelOrganization.label.experience' | translate}}</span>
                <span>{{formJD?.value.experience}}</span>
              </div>
        </div>
    </div>


    <div nz-row>
        <div nz-col nzSpan="24">
            <div class="text-info">
                <span class="text-info__title">{{'modelOrganization.label.competency' | translate}} <span
                        class='text-info__title--required' *ngIf="mode !== 'view'">*</span></span>
            </div>
            <div class="table-container ant-table-content">
                <nz-table [nzFrontPagination]="false" [nzShowPagination]="false" #rowSelectionTable
                    [nzData]="competencyTable.length ? competencyTable : []">
                    <thead>
                        <tr>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" class="text-center">{{'modelOrganization.table.stt' | translate}}</th>
                            <th scope="col" nzWidth="30%">{{'modelOrganization.table.competency' | translate}}</th>
                            <th scope="col">{{'modelOrganization.table.capacity' | translate}}</th>
                            <th scope="col" [nzWidth]="WIDTH_COLUMN.SMALL" *ngIf="mode !== 'view'"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of competencyTable; let i = index">
                            <td [nzAlign]="'center'">{{ i + 1 }}</td>
                            <td>
                                <mb-select *ngIf="mode !== 'view'" [formControl]="data.description" [mbDataSelects]="competencyList" [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.description.errors ? 'error' : 'default'"
                                    [mbErrors]="data.description.errors"
                                    [mbShowError]="submited.isSubmit && data.description.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholder="{{'modelOrganization.placeHoder.chooseCompetence' | translate}}"
                                    (mbSelect)="selectCompetency($event, data)" mbKeyLabel="competenceFrames"
                                    mbKeyValue="competenceFrames" ></mb-select>
                                    <span *ngIf="mode === 'view'">{{data.description?.value}}</span>
                            </td>
                            <td>
                                <mb-select *ngIf="mode !== 'view'" [formControl]="data.value" [mbDataSelects]="data.selectTemp"  [mbDisable]="disable"
                                    [mbType]="submited.isSubmit && data.value.errors ? 'error' : 'default'"
                                    [mbErrors]="data.value.errors"
                                           (mbSelect)="selectCapacity($event, data)"
                                    [mbShowError]="submited.isSubmit && data.value.errors?.required" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
                                    | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                                    mbPlaceholder="{{'modelOrganization.placeHoder.chooseCompetenceCapacity' | translate}}"
                                    mbKeyLabel="lvaMean" mbKeyValue="lvaValue"></mb-select>
                                    <span *ngIf="mode === 'view'">{{data.value?.value}}</span>
                            </td>
                            <td *ngIf="mode !== 'view'">
                                <div class="table-container__action">
                                    <img alt="" src="../../../../../../assets/images/icon/add_circle_outline.svg"
                                        (click)="addJdDetail(i, competencyTable, 4)">
                                    <img alt="" src="../../../../../../assets/images/icon/delete-icon.svg"
                                        (click)="deleteDetail(i,competencyTable, 4)">
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>
        </div>
    </div>
</div>
